<?php
# utf8-marker = äöüß 
#
# countx 1.00rc7 - 18 June 2021
# A Simple Website Visitor Counter
# for CMSimple-XH.
# 
# Jadefusion 2012
#

if (!defined('CMSIMPLE_XH_VERSION')) {
    header('HTTP/1.0 403 Forbidden');
    exit;
	}

# Register the plugin menu items.
if (function_exists('XH_registerStandardPluginMenuItems')) {
    XH_registerStandardPluginMenuItems(false);
	}

if (isset($_GET['countx'])) {

    $admin = isset($_POST['admin']) ? $_POST['admin'] : $admin = isset($_GET['admin']) ? $_GET['admin'] : '';
    $action = isset($_POST['action']) ? $_POST['action'] : $action = isset($_GET['action']) ? $_GET['action'] : '';
    $plugin = basename(dirname(__FILE__), "/");
	
//	$countx_editData=$pth['folder']['plugins'].$plugin."/countx/countx-editor.php";
	$countx_viewData_visitStatistics=$pth['folder']['plugins'].$plugin."/countx/visit_statistics.php";
	$countx_viewData_visitCounts=$pth['folder']['plugins'].$plugin."/countx/visit_counts.php";
	
    $o .= print_plugin_admin('on');
    if ($admin <> 'plugin_main') {
        $o .= plugin_admin_common($action, $admin, $plugin);
    }
	
    if ($admin == 'plugin_main') {
	$o .="<div id=\"show_visit_info\"> \n";
	$o .="<h4>".$plugin_tx['countx']['view_count_title']."</h4>\n";
	$o .="<div class='countx_btn'><a href=\"".$countx_viewData_visitCounts. "\" target=\"view-info\">".$plugin_tx['countx']['view_count_btn_text']."</a></div>\n";

	if (preg_match("/true/i",$plugin_cf['countx']['add_info'])) 
	{
	$o .="<h4>".$plugin_tx['countx']['view_info_title']."</h4>\n";
	$o .="<div class='countx_btn'><a href=\"".$countx_viewData_visitStatistics. "\" target=\"view-info\">".$plugin_tx['countx']['view_info_btn_text']."</a></div>\n";
	}
	
	$o .="<p class=\"countx_copyright\">countX - 1.00rc7<br>\n";
	$o .="Plugin for CMSimple by <a href=\"http://www.jadefusion.net\" target=\"_blank\">Jadefusion</a></p>";
	$o .="</div> \n";	
	}

    if ($admin == '') {
	$o .="<h4>".$plugin_tx['countx']['title_intro']."</h4>\n";
	$o .="<p>Countx is a simple website visitor counter plugin that can optionally record the following visitor data... Date, IP, Hostname, Browser, URI and Referrer.</p>
<p><strong>Warning...</strong> The data file used to store the optional visitor statistics could grow into a huge file so take care if you enable this function. It is strongly recommended that the statistics log file be reset at regular intervals.</p>\n";
	$o .="<p class=\"countx_copyright\">countX - 1.00rc7<br>\n";
	$o .="Plugin for CMSimple by <a href=\"http://www.jadefusion.net\" target=\"_blank\">Jadefusion</a></p>";
    }
}
